Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.45
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.x509
Class X509CertificatePair

    java.lang.Object
      org.bouncycastle.x509.X509CertificatePair

    public class X509CertificatePair

extends java.lang.Object

This class contains a cross certificate pair. Cross certificates pairs may contain two cross signed certificates from two CAs. A certificate from the other CA to this CA is contained in the forward certificate, the certificate from this CA to the other CA is contained in the reverse certificate.

Constructor Summary
`X509CertificatePair(CertificatePair pair)` Constructor from a ASN.1 CertificatePair structure.
`X509CertificatePair(java.security.cert.X509Certificate forward, java.security.cert.X509Certificate reverse)` Constructor.

Method Summary
`boolean` | `equals(java.lang.Object o)`
`byte[]` | `getEncoded()`
`java.security.cert.X509Certificate` | `getForward()` Returns the certificate from the other CA to this CA.
`java.security.cert.X509Certificate` | `getReverse()` Return the certificate from this CA to the other CA.
`int` | `hashCode()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### X509CertificatePair

    public X509CertificatePair(java.security.cert.X509Certificate forward,
                               java.security.cert.X509Certificate reverse)

  Constructor.

  Parameters:
    `forward` - Certificate from the other CA to this CA.
    `reverse` - Certificate from this CA to the other CA.

### X509CertificatePair

    public X509CertificatePair(CertificatePair pair)
                        throws java.security.cert.CertificateParsingException

  Constructor from a ASN.1 CertificatePair structure.

  Parameters:
    `pair` - The `CertificatePair` ASN.1 object.
  Throws:
    `java.security.cert.CertificateParsingException`

Method Detail

### getEncoded

    public byte[] getEncoded()
                      throws java.security.cert.CertificateEncodingException

  Throws:
    `java.security.cert.CertificateEncodingException`

### getForward

    public java.security.cert.X509Certificate getForward()

  Returns the certificate from the other CA to this CA.

  Returns:
    Returns the forward certificate.

### getReverse

    public java.security.cert.X509Certificate getReverse()

  Return the certificate from this CA to the other CA.

  Returns:
    Returns the reverse certificate.

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.45
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD